## Modulemd.ComponentModule Modulemd.ComponentModule — A module component that goes into a module stream. |

## Stability Level

Stable, unless otherwise indicated

## Functions

ModulemdComponentModule * | modulemd_component_module_new ()
void | modulemd_component_module_set_ref ()
const gchar * | modulemd_component_module_get_ref ()
void | modulemd_component_module_set_repository ()
const gchar * | modulemd_component_module_get_repository ()

## Properties

char * | ref | Read / Write
char * | repository | Read / Write

## Types and Values

#define | MODULEMD_TYPE_COMPONENT_MODULE
| ModulemdComponentModule

## Object Hierarchy

        GObject
        ╰── ModulemdComponent
            ╰── ModulemdComponentModule

## Description

## Functions

### modulemd_component_module_new ()

    ModulemdComponentModule *
    modulemd_component_module_new (const gchar *key);

#### Parameters

key | The key of this module component. Used when looking up components from a ModulemdModuleStream. | [not nullable]

#### Returns

A newly-allocated ModulemdComponentModule object.

[transfer full]

Since: 2.0

### modulemd_component_module_set_ref ()

    void
    modulemd_component_module_set_ref (ModulemdComponentModule *self,
                                       const gchar *ref);

#### Parameters

self | This ModulemdComponentModule object. |
ref | The commit ID in the SCM repository. | [in][nullable]

Since: 2.0

### modulemd_component_module_get_ref ()

    const gchar *
    modulemd_component_module_get_ref (ModulemdComponentModule *self);

#### Parameters

self | This ModulemdComponentModule object. |

#### Returns

The commit ID in the SCM repository.

[transfer none]

Since: 2.0

### modulemd_component_module_set_repository ()

    void
    modulemd_component_module_set_repository
                                   (ModulemdComponentModule *self,
                                    const gchar *repository);

#### Parameters

self | This ModulemdComponentModule object. |
repository | The URI of the SCM repository. | [in][nullable]

Since: 2.0

### modulemd_component_module_get_repository ()

    const gchar *
    modulemd_component_module_get_repository
                                   (ModulemdComponentModule *self);

#### Parameters

self | This ModulemdComponentModule object. |

#### Returns

The URI of the SCM repository.

[transfer none]

Since: 2.0

## Types and Values

### MODULEMD_TYPE_COMPONENT_MODULE

    #define MODULEMD_TYPE_COMPONENT_MODULE (modulemd_component_module_get_type ())

### ModulemdComponentModule

    typedef struct _ModulemdComponentModule ModulemdComponentModule;

## Property Details

### The `“ref”` property

      “ref”                      char *

The commit ID in the SCM repository.

Owner: ModulemdComponentModule

Flags: Read / Write

Default value: "__UNSET_COMPONENT_MODULE__"

### The `“repository”` property

      “repository”               char *

The URI of the SCM repository.

Owner: ModulemdComponentModule

Flags: Read / Write

Default value: "__UNSET_COMPONENT_MODULE__"